RemoteCachingWrapperFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.RemoteCachingWrapperFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class RemoteCachingWrapperFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.RemoteCachingWrapperFilter

All Implemented Interfaces:
  Serializable

    public class RemoteCachingWrapperFilter

extends Filter

Provides caching of `Filter`s themselves on the remote end of an RMI connection. The cache is keyed on Filter's hashCode(), so if it sees the same filter twice it will reuse the original version.

NOTE: This does NOT cache the Filter bits, but rather the Filter itself. Thus, this works hand-in-hand with `CachingWrapperFilter` to keep both file Filter cache and the Filter bits on the remote end, close to the searcher.

Usage:

To cache a result you must do something like RemoteCachingWrapperFilter f = new RemoteCachingWrapperFilter(new CachingWrapperFilter(myFilter));

See Also:
  Serialized Form

Field Summary
`protected Filter` | `filter`

Constructor Summary
`RemoteCachingWrapperFilter(Filter filter)`

Method Summary
`BitSet` | `bits(IndexReader reader)` Deprecated. Use `getDocIdSet(IndexReader)` instead.
`DocIdSet` | `getDocIdSet(IndexReader reader)` Uses the `FilterManager` to keep the cache for a filter on the searcher side of a remote connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected Filter filter

Constructor Detail

### RemoteCachingWrapperFilter

    public RemoteCachingWrapperFilter(Filter filter)

Method Detail

### bits

    public BitSet bits(IndexReader reader)
                throws IOException

  Deprecated. Use `getDocIdSet(IndexReader)` instead.

  Uses the `FilterManager` to keep the cache for a filter on the searcher side of a remote connection.

  Overrides:
    `bits` in class `Filter`
  Parameters:
    `reader` - the index reader for the Filter
  Returns:
    the bitset
  Throws:
    `IOException`

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Uses the `FilterManager` to keep the cache for a filter on the searcher side of a remote connection.

  Overrides:
    `getDocIdSet` in class `Filter`
  Parameters:
    `reader` - the index reader for the Filter
  Returns:
    the DocIdSet
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.